<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author: juan.agudelo

    Pantalla que permite mostrar la información detallada del tramite para la revision de la proyección 
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions">

    <h:panelGrid>
        <ui:include src="/conservacion/ejecucion/datosSolicitudPruebasConEjecutor.xhtml">
            <ui:param name="managedBeanParam" value="#{revisionProyeccion}" />
            <ui:param name="selectedTramiteParam"
                      value="#{revisionProyeccion.tramiteSeleccionado}" />

        </ui:include>
    </h:panelGrid>

    <p:outputPanel layout="block" style="text-align: right">

        <p:dock position="top" halign="center" >

            <p:menuitem value="Justificación de propiedad"
                        icon="/dockIcons/justificacionPropiedad2.png" />
            <p:menuitem value="Propietarios y / o poseedores"
                        icon="/dockIcons/propietarios.png" />
            <p:menuitem value="Ubicación predio"
                        icon="/dockIcons/ubicacionPredio.png" />
            <p:menuitem value="Ficha matriz PH / Condominio"
                        icon="/dockIcons/fichaMatriz2.png" />
            <p:menuitem value="Detalle del avalúo" icon="/dockIcons/avaluo2.png" />
            <p:menuitem value="Inscripciones / Decretos"
                        icon="/dockIcons/inscripcionesDecretos.png" />



        </p:dock>

    </p:outputPanel>
    <p:spacer height="90" width="50" />

    <ui:remove>
        <h:panelGrid columns="2"
                     style="text-align: top; vertical-align: top; valign: top; v-align:top">
            <h:form prependId="false" id="validarTramitesBotonesVerticalesForm">
                <h:panelGrid columns="1" width="250px" id="botones" border="0">
                    <p:commandButton value="Justificación de propiedad"
                                     style="width: 100%" rendered="#{proyectarConservacion.tab!=0}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="0"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==0}">
                        <h:outputText value="Justificación de propiedad"
                                      rendered="#{proyectarConservacion.tab==0}" />
                    </h:panelGrid>

                    <p:commandButton value="Propietarios y/o poseedores"
                                     style="width: 100%" rendered="#{proyectarConservacion.tab!=1}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="1"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==1}">
                        <h:outputText value="Propietarios y/o poseedores"
                                      style="width: 100%; text-align: center; font-weight: bold"
                                      rendered="#{proyectarConservacion.tab==1}" />
                    </h:panelGrid>

                    <p:commandButton value="Ubicación del predio" style="width: 100%"
                                     rendered="#{proyectarConservacion.tab!=2}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="2"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==2}">
                        <h:outputText value="Ubicación del predio"
                                      style="width: 100%; text-align: center; font-weight: bold"
                                      rendered="#{proyectarConservacion.tab==2}" />
                    </h:panelGrid>

                    <p:commandButton value="Ficha matriz PH/Condominio"
                                     style="width: 100%" rendered="#{proyectarConservacion.tab!=3}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="3"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==3}">
                        <h:outputText value="Ficha matriz PH/Condominio"
                                      style="width: 100%; text-align: center; font-weight: bold"
                                      rendered="#{proyectarConservacion.tab==3}" />
                    </h:panelGrid>


                    <p:commandButton value="Detalle del avalúo" style="width: 100%"
                                     rendered="#{proyectarConservacion.tab!=4}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="4"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==4}">
                        <h:outputText value="Detalle del avalúo"
                                      style="width: 100%; text-align: center; font-weight: bold"
                                      rendered="#{proyectarConservacion.tab==4}" />
                    </h:panelGrid>

                    <p:commandButton value="Texto motivado" style="width: 100%"
                                     rendered="#{proyectarConservacion.tab!=5}"
                                     actionListener="#{proyectarConservacion.consultarModeloResolucionSegunTipoDeTramite}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="5"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==5}">
                        <h:outputText value="Texto motivado"
                                      style="width: 100%; text-align: center; font-weight: bold"
                                      rendered="#{proyectarConservacion.tab==5}" />
                    </h:panelGrid>


                    <p:commandButton value="Inscripciones/Decretos" style="width: 100%"
                                     rendered="#{proyectarConservacion.tab!=6}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="6"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==6}">
                        <h:outputText value="Inscripciones/Decretos"
                                      rendered="#{proyectarConservacion.tab==6}" />
                    </h:panelGrid>

                    <p:commandButton value="Asociar documentos" style="width: 100%"
                                     rendered="#{proyectarConservacion.tab!=7}"
                                     update="botones, contenido">
                        <f:setPropertyActionListener value="7"
                                                     target="#{proyectarConservacion.tab}" />
                    </p:commandButton>
                    <h:panelGrid styleClass="tabSeleccionado" width="100%"
                                 rendered="#{proyectarConservacion.tab==7}">
                        <h:outputText value="Asociar documentos"
                                      rendered="#{proyectarConservacion.tab==7}" />
                    </h:panelGrid>


                </h:panelGrid>

            </h:form>


            <h:panelGrid id="contenido" columns="1">

                <h:panelGrid rendered="#{proyectarConservacion.tab==0}">
                    <ui:include src="gestionarJustificacion.xhtml" />
                </h:panelGrid>

                <ui:remove>
                    <h:panelGrid rendered="#{proyectarConservacion.tab==1}">
                        <ui:include src="gestionarPropietarios.xhtml" />
                    </h:panelGrid>

                    <h:panelGrid rendered="#{proyectarConservacion.tab==2}">
                        <ui:include src="gestionarUbicacionDelPredio.xhtml" />
                    </h:panelGrid>

                    <h:panelGrid rendered="#{proyectarConservacion.tab==4}">
                        <ui:include src="gestionDetalleAvaluo.xhtml" />
                    </h:panelGrid>

                    <h:panelGrid rendered="#{proyectarConservacion.tab==5}">
                        <ui:include src="gestionarMotivacion.xhtml" />
                    </h:panelGrid>

                    <h:panelGrid rendered="#{proyectarConservacion.tab==6}">
                        <ui:include src="gestionarInscripcionesDecretos.xhtml" />
                    </h:panelGrid>

                    <h:panelGrid rendered="#{proyectarConservacion.tab==7}">
                        <ui:include src="asociarDocumentosATramiteExistente.xhtml" />
                    </h:panelGrid>
                </ui:remove>
            </h:panelGrid>
        </h:panelGrid>
    </ui:remove>

</h:panelGrid>